Subject: Re: bug#12471: Avoid some signal-handling races, and simplify.

From: Andy Moreton <[email-masked]>
Date: Wed, 19 Sep 2012 22:36:44 +0100

On Wed 19 Sep 2012, Paul Eggert wrote:

> Attached is a patch to fix some of the problems that I found, and to
> simplify nearby signal-handling code.  I'd like to install this into
> the trunk before it freezes.  The patch is about 3300 lines so I've
> taken the liberty of compressing it with gzip.

I'm not qualified to comment on the subtleties of signal handling
addressed by this patch, but it does seem that several issues have been
conflated together.

It would surely be easier to review and to bisect for bug hunting if it
were split into several smaller patches.

    AndyM